| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetDestCodeListRequest Struct Reference
Destination Code and Code Index

Get Destination Code List request. More...

`#include <osv-if-doc.h>`

## Public Attributes
unsp__DestCodeDigits | DestCode
| Destination Code to retrieve. More...
unsp__CodeIndexName | CodeIndexName
| Code Index Name to retrieve. More...
unsp__NumberPlanName | NumberPlanName
| Name of the number plan to filter on. More...
enum unsp__NatureOfAddress * | NatureOfAddress
| Nature of address to filter on. More...
char * | RateArea
| Rate Area to filter on. More...
char * | COS
| Class of Service to filter on. More...
char * | DestName
| Destination Name to filter on. More...
enum unsp__DestCodeDestType * | DestType
| Destination Type to filter on. More...
int * | MaxDestCodes
| The maximum number of entries to display in the result list. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
char * | InterfaceWSDL
| Indicates the WSDL version supported be the client; for backwards compatibility purposes. More...

## Detailed Description

Get Destination Code List request.

Used by unsp__GetDestCodeList()

## Member Data Documentation

## ◆ CodeIndexName

unsp__CodeIndexName unsp__GetDestCodeListRequest::CodeIndexName

Code Index Name to retrieve.

required: false
default value[range]: NA

## ◆ COS

char* unsp__GetDestCodeListRequest::COS

Class of Service to filter on.

required: false

See also
  unsp__COSName

## ◆ DestCode

unsp__DestCodeDigits unsp__GetDestCodeListRequest::DestCode

Destination Code to retrieve.

required: false
default value[range]: NA [1..15]

## ◆ DestName

char* unsp__GetDestCodeListRequest::DestName

Destination Name to filter on.

required: false

See also
  unsp__DestName

## ◆ DestType

enum unsp__DestCodeDestType* unsp__GetDestCodeListRequest::DestType

Destination Type to filter on.

required: false
default value[range]: NA

## ◆ InterfaceWSDL

char* unsp__GetDestCodeListRequest::InterfaceWSDL

Indicates the WSDL version supported be the client; for backwards compatibility purposes.

required: false

## ◆ MaxDestCodes

int* unsp__GetDestCodeListRequest::MaxDestCodes

The maximum number of entries to display in the result list.

required: true
default value[range]: NA [1..1000]

## ◆ NatureOfAddress

enum unsp__NatureOfAddress* unsp__GetDestCodeListRequest::NatureOfAddress

Nature of address to filter on.

required: false
default value[range]: NA

## ◆ NumberPlanName

unsp__NumberPlanName unsp__GetDestCodeListRequest::NumberPlanName

Name of the number plan to filter on.

required: false

See also
  unsp__NumberPlanName

## ◆ Paging

struct unsp__Paging* unsp__GetDestCodeListRequest::Paging

Standard paging structure.

required: false

## ◆ RateArea

char* unsp__GetDestCodeListRequest::RateArea

Rate Area to filter on.

required: false

See also
  unsp__RateAreaName

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h